## vibe.d 0.8.1

=== debian/changelog ===
vibe.d (0.8.1-2) unstable; urgency=medium

  * Bump standards version: No changes needed
  * Ensure we build with the latest LDC
  * Update d/watch file

 -- Matthias Klumpp <mak@debian.org>  Sun, 01 Oct 2017 19:36:48 +0200

vibe.d (0.8.1-1) unstable; urgency=medium

  * New upstream version: 0.8.1
    - Works with OpenSSL 1.1+ now (Closes: #859785)
  * Drop all previous patches: Applied upstream
  * Use debhelper's built-in Meson support
  * Ignore test failures for now
    - LDC is causing the stream test to fail at time
  * d/control: Update component list
  * d/control: Add missing depends (Closes: #856862)
  * Update .install files
  * meson-Fix-typo.patch: Fix typo in .pc install filename
  * d/copyright: Update year

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Aug 2017 17:30:38 +0200

vibe.d (0.7.30-1) unstable; urgency=medium

  * Initial release (Closes: #855974)

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Nov 2016 10:05:14 +0100
