=== debian/control ===
Source: vibe.d
Section: web
Priority: optional
Maintainer: Debian D Language Group <pkg-d-devel@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper (>= 10.4),
               dlang-libevent,
               dlang-openssl,
               ldc (>= 1:1.4),
               libdiet-dev,
               libevent-dev,
               libssl-dev,
               meson (>= 0.42),
               pkg-config,
               zlib1g-dev
Standards-Version: 4.1.0
Homepage: http://vibed.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-d/vibe.d.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-d/vibe.d.git

Package: vibe.d
Architecture: all
Depends: libvibe-core-dev,
         libvibe-http-dev,
         libvibe-inet-dev,
         libvibe-mail-dev,
         libvibe-mongodb-dev,
         libvibe-redis-dev,
         libvibe-stream-dev,
         libvibe-textfilter-dev,
         libvibe-tls-dev,
         libvibe-web-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance asynchronous I/O web application toolkit
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package is a metapackage pulling in all vibe.d modules and their
 development files.

Package: libvibe-core0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Core
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains basic I/O and concurrency primitives, as well
 as low level utility functions of Vibe.

Package: libvibe-core-dev
Architecture: any
Section: libdevel
Depends: libvibe-core0 (= ${binary:Version}),
         libvibe-data-dev (= ${binary:Version}),
         libvibe-utils-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Core (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for basic I/O and concurrency
 primitives, as well as low level utility functions of Vibe.

Package: libvibe-crypto0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Cryptographic routines
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains cryptographic helper routines for Vibe.

Package: libvibe-crypto-dev
Architecture: any
Section: libdevel
Depends: libvibe-core-dev (= ${binary:Version}),
         libvibe-crypto0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Crypto (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for cryptographic helper routines
 for Vibe.

Package: libvibe-data0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Data
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains data format and serialization support for Vibe.

Package: libvibe-data-dev
Architecture: any
Section: libdevel
Depends: libvibe-data0 (= ${binary:Version}),
         libvibe-utils-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Data (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for data format and
 serialization support of Vibe.

Package: libvibe-http0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - HTTP
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains the Vibe HTTP server and client implementation
 and higher level HTTP functionality.

Package: libvibe-http-dev
Architecture: any
Section: libdevel
Depends: libdiet-dev (>= 1.4.2),
         libvibe-core-dev (= ${binary:Version}),
         libvibe-http0 (= ${binary:Version}),
         libvibe-inet-dev (= ${binary:Version}),
         libvibe-stream-dev (= ${binary:Version}),
         libvibe-textfilter-dev (= ${binary:Version}),
         libvibe-tls-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - HTTP (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for the Vibe HTTP server,
 client implementation and higher level HTTP functionality.

Package: libvibe-inet0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - INet
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains internet standard functionality for Vibe.

Package: libvibe-inet-dev
Architecture: any
Section: libdevel
Depends: libvibe-core-dev (= ${binary:Version}),
         libvibe-inet0 (= ${binary:Version}),
         libvibe-stream-dev (= ${binary:Version}),
         libvibe-textfilter-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - INet (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for internet standard
 functionality for Vibe.

Package: libvibe-mail0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Mail
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains the Vibe SMTP client support.

Package: libvibe-mail-dev
Architecture: any
Section: libdevel
Depends: libvibe-core-dev (= ${binary:Version}),
         libvibe-inet-dev (= ${binary:Version}),
         libvibe-mail0 (= ${binary:Version}),
         libvibe-stream-dev (= ${binary:Version}),
         libvibe-tls-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Mail (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for the SMTP client support.

Package: libvibe-mongodb0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - MongoDB
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains the MongoDB database client implementation.

Package: libvibe-mongodb-dev
Architecture: any
Section: libdevel
Depends: libvibe-core-dev (= ${binary:Version}),
         libvibe-crypto-dev (= ${binary:Version}),
         libvibe-inet-dev (= ${binary:Version}),
         libvibe-mongodb0 (= ${binary:Version}),
         libvibe-stream-dev (= ${binary:Version}),
         libvibe-textfilter-dev (= ${binary:Version}),
         libvibe-tls-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mongodb
Description: High-performance web application toolkit - MongoDB (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for the MongoDB database
 client implementation.

Package: libvibe-redis0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Redis
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains the Redis database client implementation.

Package: libvibe-redis-dev
Architecture: any
Section: libdevel
Depends: libvibe-core-dev (= ${binary:Version}),
         libvibe-crypto-dev (= ${binary:Version}),
         libvibe-http-dev (= ${binary:Version}),
         libvibe-redis0 (= ${binary:Version}),
         libvibe-tls-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Redis (development)
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains development files for the Redis database
 client implementation.

Package: libvibe-stream0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Stream
 vibe.d is a high-performance asynchronous I/O, concurrency and web
 application toolkit written in D. It already contains many supplemental
 features such as database support to be able to offer a complete
 development environment.
 .
 This package contains a library with various pluggable stream
 implementations.

Package: libvibe-stream-dev
Architecture: any
Section: libdevel
Depends: libvibe-core-dev (= ${binary:Version}),
         libvibe-stream0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance web application toolkit - Stream (development)
