=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DFLAGS=-O -g -release -wi

%:
	dh $@ --parallel

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	# ignore broken tests for now, the failing stream test hints at some problem
	# with the LDC D compiler.
	-dh_auto_test
