## vibe.d 0.8.2

=== debian/changelog ===
vibe.d (0.8.2-1build1) bionic; urgency=medium

  * Rebuild against new libphobos2-ldc-shared78.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Mar 2018 19:31:40 +0100

vibe.d (0.8.2-1) unstable; urgency=medium

  * New upstream version: 0.8.2
  * Update Vcs-* URLs for Salsa switch
  * Drop patch: Applied upstream
  * Use dh-dlang
  * Use dh compat level 11

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Feb 2018 21:16:15 +0100
