=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian D Language Group <pkg-d-devel@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 10.4),
+Build-Depends: debhelper (>= 11),
+               dh-dlang,
                dlang-libevent,
                dlang-openssl,
-               ldc (>= 1:1.4),
-               libdiet-dev,
+               libdiet-dev (>= 1.4.4),
                libevent-dev,
                libssl-dev,
                meson (>= 0.42),
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.1.0
-Homepage: http://vibed.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-d/vibe.d.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-d/vibe.d.git
+Standards-Version: 4.1.2
+Homepage: https://vibed.org/
+Vcs-Git: https://salsa.debian.org/d-team/vibe.d.git
+Vcs-Browser: https://salsa.debian.org/d-team/vibe.d
 
 Package: vibe.d
 Architecture: all
