=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-export DFLAGS=-O -g -release -wi
+include /usr/share/dh-dlang/dlang-flags.mk
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_missing:
 	dh_missing --fail-missing
