=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/vibe-d/vibe.d/tags .*/v?(\d\S*)\.tar\.gz
