## vibe.d 0.8.4

=== debian/changelog ===
vibe.d (0.8.4-2) unstable; urgency=medium

  * Tighten build-dep on dlang-libevent and dlang-openssl
  * explicit-mir-core.patch: Make mir-core dependency explicit
  * Switch to dh compat level 12
  * fix-OPENSSL_sk_num.patch: Update OPENSSL_sk_num definition

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Jan 2019 12:18:44 +0100

vibe.d (0.8.4-1) unstable; urgency=medium

  * New upstream version: 0.8.4
  * Bump standards version: No changes needed
  * Bump build-dependencies on diet and meson, add stdx-allocator

 -- Matthias Klumpp <mak@debian.org>  Wed, 29 Aug 2018 12:40:26 +0200

vibe.d (0.8.2-2) unstable; urgency=medium

  * Build vibe.d metapackage for arch:any
  * Update maintainer address to tracker.d.o
  * Pass -V flag to dh_makeshlibs

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Apr 2018 10:34:06 +0200
