=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: vibe.d
 Section: web
 Priority: optional
-Maintainer: Debian D Language Group <pkg-d-devel@lists.alioth.debian.org>
+Maintainer: Debian D Language Group <team+d-team@tracker.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-dlang,
-               dlang-libevent,
-               dlang-openssl,
-               libdiet-dev (>= 1.4.4),
+               dlang-libevent (>= 2.0.16.1~),
+               dlang-openssl (>= 2.0),
+               libdiet-dev (>= 1.5.0),
                libevent-dev,
                libssl-dev,
-               meson (>= 0.42),
+               libstdx-allocator-dev (>= 2.77.2),
+               meson (>= 0.46),
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: https://vibed.org/
 Vcs-Git: https://salsa.debian.org/d-team/vibe.d.git
 Vcs-Browser: https://salsa.debian.org/d-team/vibe.d
 
 Package: vibe.d
-Architecture: all
+Architecture: any
 Depends: libvibe-core-dev,
          libvibe-http-dev,
          libvibe-inet-dev,
@@ -315,4 +316,3 @@
          libvibe-stream0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: High-performance web application toolkit - Stream (development)
