=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	# ignore broken tests for now, the failing stream test hints at some problem
 	# with the LDC D compiler.
 	-dh_auto_test
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V
